%define homedir %{_sysconfdir}/dcc
%define cgibin %{_localstatedir}/dcc/cgibin
%define libexecdir %{_libexecdir}/dcc

Summary: a clients-server system for collecting checksums of mail messages.
Name:    dcc
Version: 1.3.159
Release: 1
URL:     https://www.dcc-servers.net/
Source0: https://www.dcc-servers.net/dcc/source/old/dcc-1.3.159.tar.Z
License: distributable for non-commercial use
Group:   Networking/Mail
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: sendmail-devel

%description
The DCC or Distributed Checksum Clearinghouse is currently a system of
many clients and more than 120 servers that collects and count
checksums related to several million mail messages per day, most as
seen by Internet Service Providers. The counts can be used by SMTP
servers and mail user agents to detect and reject or filter spam or
unsolicited bulk mail. DCC servers exchange or "flood" common
checksums. The checksums include values that are constant across
common variations in bulk messages, including "personalizations."

%prep
%setup -q -n dcc-%{version}

%build
export CFLAGS="%{optflags}"

./configure \
  --with-installroot=%{buildroot} \
  %{?_without_dccm:--disable-dccm} \
  --homedir=%{homedir} \
  --with-cgibin=%{cgibin} \
  --libexecdir=%{libexecdir} \
  --bindir=%{_bindir} \
  --disable-sys-inst \
  --mandir=%{_mandir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE FAQ* CHANGES
%dir %{homedir}
%config(noreplace) %{homedir}/dcc_conf
%config(noreplace) %{homedir}/flod
%config(noreplace) %{homedir}/grey_flod
%config(noreplace) %{homedir}/grey_whitelist
%config(noreplace) %{homedir}/ids
%config(noreplace) %{homedir}/log
%config(noreplace) %{homedir}/map
%config(noreplace) %{homedir}/map.txt
%config(noreplace) %{homedir}/whiteclnt
%config(noreplace) %{homedir}/whitecommon
%config(noreplace) %{homedir}/whitelist
%attr(4555,root,root) %{_bindir}/cdcc
%attr(4555,root,root) %{_bindir}/dccproc
%attr(0555,root,root) %{_bindir}/dccif-test
%{libexecdir}
%{cgibin}

%changelog
* Sat Feb 18 2017 josef radinger <cheese@nosuchhost.net> - 1.3.159
- initial version
- %%configure cannot be used
